<?php
/* $Id: index.php,v 1.5 2003/11/21 16:21:49 k-fish Exp $ */

// adding file revision into global array
if(function_exists("revisionInit")) revisionInit("\$Revision: 1.5 $", __FILE__);

$myEnv["module"] = "outboard";
$myEnv["output"] = "html";

include("../../config.inc.php");
include(INCLUDEPATH . "container.inc.php");
include("inc/outboard.class.php");

$outboard = new OutBoard();

if((isset($_GET["mod"]) && $_GET["mod"] == "outboard") || (isset($_POST["mod"]) && $_POST["mod"] == "outboard")){
    if(isset($_POST["op"]) && $_POST["op"] == "signout") $outboard->opSignout();
    else{
	if(isset($_GET["view"]) && $_GET["view"] == "signout") $outboard->viewSignout();
	elseif(isset($_GET["view"]) && $_GET["view"] == "signin") $outboard->signin((int) $_GET["id"]);
	elseif(isset($_GET["view"]) && $_GET["view"] == "details") $outboard->viewDetails((int) $_GET["id"]);
	elseif(isset($_GET["view"]) && $_GET["view"] == "edit") $outboard->viewEditForm((int) $_GET["id"]);
    }
}

$outboard->viewList();	

?>
